Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1044954 - [abrt] putty: random_byte(): puttygen killed by SIGABRT
Summary: [abrt] putty: random_byte(): puttygen killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: putty
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Škarvada
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:d8b187b084d74e87f50e43e792f...
Depends On:
Blocks: SIMPLE_PATCHES
TreeView+ depends on / blocked
 
Reported: 2013-12-19 10:02 UTC by Yajo
Modified: 2015-02-17 19:43 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 19:43:00 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (8.03 KB, text/plain)
2013-12-19 10:02 UTC, Yajo
no flags Details
File: cgroup (146 bytes, text/plain)
2013-12-19 10:02 UTC, Yajo
no flags Details
File: core_backtrace (2.28 KB, text/plain)
2013-12-19 10:02 UTC, Yajo
no flags Details
File: dso_list (304 bytes, text/plain)
2013-12-19 10:02 UTC, Yajo
no flags Details
File: environ (3.20 KB, text/plain)
2013-12-19 10:02 UTC, Yajo
no flags Details
File: limits (1.29 KB, text/plain)
2013-12-19 10:02 UTC, Yajo
no flags Details
File: maps (1.81 KB, text/plain)
2013-12-19 10:02 UTC, Yajo
no flags Details
File: open_fds (105 bytes, text/plain)
2013-12-19 10:02 UTC, Yajo
no flags Details
File: proc_pid_status (998 bytes, text/plain)
2013-12-19 10:02 UTC, Yajo
no flags Details
Patch to initialise the RNG (1.60 KB, patch)
2014-01-17 14:42 UTC, kubrick@fgv6.net
no flags Details | Diff

Description Yajo 2013-12-19 10:02:02 UTC
Description of problem:
Execute this:

$ puttygen private-key-file.ppk -O private-openssh -o .ssh/id_dsa

Version-Release number of selected component:
putty-0.63-1.fc19

Additional info:
reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        puttygen soul-2/zona-0/USUARIOS/Jairo/jairo-key.ppk -O private-openssh -o .ssh/id_dsa
crash_function: random_byte
executable:     /usr/bin/puttygen
kernel:         3.11.10-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            16777216
var_log_messages: Dec 19 10:39:19 linux-devel abrt-hook-ccpp[31103]: Saved core dump of pid 31102 (/usr/bin/puttygen) to /var/tmp/abrt/ccpp-2013-12-19-10:39:18-31102 (401408 bytes)

Truncated backtrace:
Thread no. 1 (3 frames)
 #4 random_byte at ../sshrand.c:313
 #5 openssh_write at ../import.c:912
 #6 export_ssh2 at ../import.c:106

Comment 1 Yajo 2013-12-19 10:02:09 UTC
Created attachment 838896 [details]
File: backtrace

Comment 2 Yajo 2013-12-19 10:02:11 UTC
Created attachment 838897 [details]
File: cgroup

Comment 3 Yajo 2013-12-19 10:02:13 UTC
Created attachment 838898 [details]
File: core_backtrace

Comment 4 Yajo 2013-12-19 10:02:16 UTC
Created attachment 838899 [details]
File: dso_list

Comment 5 Yajo 2013-12-19 10:02:20 UTC
Created attachment 838900 [details]
File: environ

Comment 6 Yajo 2013-12-19 10:02:22 UTC
Created attachment 838901 [details]
File: limits

Comment 7 Yajo 2013-12-19 10:02:25 UTC
Created attachment 838902 [details]
File: maps

Comment 8 Yajo 2013-12-19 10:02:29 UTC
Created attachment 838903 [details]
File: open_fds

Comment 9 Yajo 2013-12-19 10:02:31 UTC
Created attachment 838904 [details]
File: proc_pid_status

Comment 10 kubrick@fgv6.net 2014-01-17 14:42:39 UTC
Created attachment 851646 [details]
Patch to initialise the RNG

I didn't check, but it's probably an upstream problem.

The attached patch initialises the RNG appropriately and, although it's not strictly necessary, un-registers it in the end.

This fixes the problem.

Comment 11 kubrick@fgv6.net 2014-07-06 12:58:23 UTC
Hello Maintainer,

Is this patch going to rot here?

I made it block SIMPLE PATCHES...

Regards,

F.

Comment 12 Sandro Mani 2014-07-06 13:03:26 UTC
Please follow https://fedoraproject.org/wiki/Policy_for_simple_patches

Comment 13 Fedora End Of Life 2015-01-09 20:54:31 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2015-02-17 19:43:00 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.